%define prefix /usr
%define gnomebindir %{prefix}/bin
%define gnomedatadir %{prefix}/share
%define gnomelibdir %{prefix}/lib
%define gnomamedir %{gnomelibdir}/gnomame
%define version 1.00b2

Summary:    A GNOME xmame frontend.
Name:       gnomame
Version:    %{version}
Release:    1
Copyright:  GPL
Group:      X11/GNOME/Games
BuildRoot:  /tmp/gnomame-%{version}-root
Source:     gnomame-%{version}.tar.gz
URL:        http://gnomame.sourceforge.net
Prefix:     %{prefix}
Docdir:     %{gnomamedir}/help
Requires:   gnome-libs >= 1.2.0
Provides:   gnomame

%description
GnoMAME help you launch the xmame for e specified game and
look at the valid ROMs you have installed onto your system.

%prep
%setup
%post
#ln -sf %{gnomamedir}/etc/gnomame.desktop %{gnomedatadir}/gnome/apps/Games/gnomame.desktop

%build
RPM_OPT_FLAGS="-O2 -march=i386 -mcpu=i386"
if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix}
else
	CFLAGS="$RPM_OPT_FLAGS" ./configure  --prefix=%{prefix}
fi
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf "$RPM_BUILD_ROOT"

make RPMBUILDROOT="$RPM_BUILD_ROOT" install

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)

%{gnomamedir}/bin/gnomame
%{gnomamedir}/etc/xmameoptions
%{gnomamedir}/pixmaps/*.xpm
%{gnomamedir}/help/C/*
%{gnomebindir}/gnomame
%{gnomedatadir}/pixmaps/gnomame
%{gnomedatadir}/gnome/help/gnomame
%{gnomedatadir}/gnome/apps/Games/gnomame.desktop
